Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.jess
Class JessMonitor

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.jess.JessMonitor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class JessMonitor

extends Agent

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATE`
`static java.lang.String` | `VERSION`

Constructor Summary
`JessMonitor()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`java.util.Vector` | `askGetGroups()`
`java.lang.String[]` | `askGetRoles(java.lang.String theGroup)`
`AgentAddress` | `getRecipient()`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` This method defines the main behavior for threaded agents.
`void` | `println(java.lang.String s)` Prints text information in a environment-independant way (GUI, console, ...)
`void` | `sendControlMessage(java.lang.String act)`
`void` | `sendControlMessage(java.lang.String act, java.lang.String content)`
`void` | `setRecipient(AgentAddress rec)`
`void` | `setTarget(java.lang.String group, java.lang.String role)`
`void` | `setTargetGroup(java.lang.String group)`
`void` | `setTargetRole(java.lang.String role)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

Constructor Detail

### JessMonitor

    public JessMonitor()

Method Detail

### setRecipient

    public void setRecipient(AgentAddress rec)

### getRecipient

    public AgentAddress getRecipient()

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developper should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developper does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### println

    public void println(java.lang.String s)

  Description copied from class: `AbstractAgent`
  Prints text information in a environment-independant way (GUI, console, ...)

  Overrides:
    `println` in class `AbstractAgent`

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### sendControlMessage

    public void sendControlMessage(java.lang.String act,
                                   java.lang.String content)

### sendControlMessage

    public void sendControlMessage(java.lang.String act)

### setTargetGroup

    public void setTargetGroup(java.lang.String group)

### setTargetRole

    public void setTargetRole(java.lang.String role)

### setTarget

    public void setTarget(java.lang.String group,
                          java.lang.String role)

### askGetGroups

    public java.util.Vector askGetGroups()

### askGetRoles

    public java.lang.String[] askGetRoles(java.lang.String theGroup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.